--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 17/105
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              05-JAN-18   Generis           18.1
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to apply MDD change 17/105
PROMPT
PROMPT Version 18.1
PROMPT
--
PROMPT
PROMPT Apply amend DNG as SHIP (and GAO) (MDD 17/105)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                      SET MARKET_PARTICIPANT_NAME = ''Orsted Salg and Service A/S'',
                              LAST_UPDATE_USER_ID = ''MDD_17_105'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''DNG''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Orsted Salg and Service A/S (SHIP)'',
                              LAST_UPDATE_USER_ID = ''MDD_17_105'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''DNG''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Orsted Salg and Service A/S (SUP)'',
                              LAST_UPDATE_USER_ID = ''MDD_17_105'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''DNG''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';

  EXECUTE IMMEDIATE 'INSERT INTO ADDRESS (ADDRESS_ID,BUILDING_NUMBER,BUILDING_NAME,BUILDING_NAME_SUB,
                     ADDRESS_1,ADDRESS_2,ADDRESS_3,ADDRESS_4,POSTCODE_OUTCODE,POSTCODE_INCODE,
                     CREATED_USER_ID,CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                     VALUES (ADDRESS_ID_SEQ.NEXTVAL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,''X9'',''9XX'',
                     ''MDD_17_105'',''BSMART'',SYSDATE)';
						  
						  
  EXECUTE IMMEDIATE 'INSERT INTO MARKET_PARTICIPANT_IN_ROLE (MARKET_PARTICIPANT_CODE,MARKET_PARTICIPANT_ROLE_CODE,
                     EFFECTIVE_FROM_DATE,EFFECTIVE_TO_DATE,MARKET_PARTICIPANT_ROLE_NAME,ADDRESS_ID,
                     REGISTRATION_NUMBER,REGISTRATION_BODY,MARKET_PARTICIPANT_ROLE_ID,
                     MARKET_PARTICIPANT_ROLE_PORT,ORGANISATION_ID,CREATED_USER_ID,LAST_UPDATE_USER_ID,CREATED_DATE)
                     VALUES (''DNG'',''GAO'',TO_DATE(''01012000000000'',''DDMMYYYYHH24MISS''),NULL,
                     ''Orsted Salg and Service A/S (GAO)'',ADDRESS_ID_SEQ.CURRVAL,NULL,NULL,NULL,NULL,'''',USER,
                     ''MDD_17_105'',SYSDATE)';
						  

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
